GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
File GSTR9CPOST
File GSTR9C dataPOST
Save GSTR9CPUT
Get GSTR9C SummaryGET
Get 9 Records for GSTR9CGET
Hash GeneratorPUT
Generate CertificatePUT
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

GSTR-9C Reconciliation Summary

GEThttps://apisandbox.whitebooks.in/gstr9c/retsum

Get the table wise summary of GSTR9C data.

Parameters

query parameters
gstinstringrequired
GSTIN of the taxpayer
retperiodstringrequired
Return Period format MMYYYY
emailstringrequired
Email
header parameters
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP GET to /gstr9c/retsum. Required parameters: gstin (query parameter), retperiod (query parameter), email (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.
For Get GSTR9C Summary (GET /gstr9c/retsum), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Get the table wise summary of GSTR9C data.
GET/gstr9c/retsum
1const response = await fetch('https://apisandbox.whitebooks.in/gstr9c/retsum?gstin=value&retperiod=value&email=value', {
2 method: 'GET',
3 headers: {
4 gst_username: "value",
5 state_cd: "value",
6 ip_address: "value",
7 txn: "value",
8 client_id: "value",
9 client_secret: "value"
10},
11});
12
13const data = await response.json();
14console.log(data);
No example available.